package edu.ntnu.item.jt.system;

/**
 * 
 * Interface for objects that are able to handle callbacks from AV update threads.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public abstract interface AVUpdateThreadCallback {
	
	/**
	 * Callback function for threads responsible for performing update of one AV engine. 
	 * 
	 * @param avUpdateResult object containing a description of the update result.
	 */
	public void reportResult(AVUpdateResult avUpdateResult);
}
