package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.Element;

/**
 * Annotated bean for containing information about the update capabilities of an anti-virus engine.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public class AVUpdateInfoBean {

	@Element(name="avUpdateExecutable", required=false)
	private String updateExecutable;
	
	@Element(name="avUpdateParameters", required=false)
	private String updateParameters;

	@Element(name="avUpdateLogPath", required=false)
	private String updateLogPath;
	
	@Element(name="avUpdateSuccessIndicator", required=false)
	private String updateSuccessIndicator;
	
	public AVUpdateInfoBean() {
		
	}
	
	
	public String getUpdateLogPath() {
		return updateLogPath;
	}


	public void setUpdateLogPath(String updateLogPath) {
		this.updateLogPath = updateLogPath;
	}


	public String getUpdateSuccessIndicator() {
		return updateSuccessIndicator;
	}


	public void setUpdateSuccessIndicator(String updateSuccessIndicator) {
		this.updateSuccessIndicator = updateSuccessIndicator;
	}


	public String getUpdateParameters() {
		return updateParameters;
	}


	public void setUpdateParameters(String updateParameters) {
		this.updateParameters = updateParameters;
	}


	public String getUpdateExecutable() {
		return updateExecutable;
	}


	public void setUpdateExecutable(String updateExecutable) {
		this.updateExecutable = updateExecutable;
	}
	
}
