package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;

/**
 * Annotated bean for storing information about a antivirus engine filter.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public class FilterBean {

	@Element(name="avResultIdentifier")
	private String resultIdentifier;
	
	@Element(name="avResultPrefix", required=false)
	private String resultPrefix;
	
	@Element(name="avResultSuffix", required=false)
	private String resultSuffix;

	public String getResultIdentifier() {
		return resultIdentifier;
	}

	public void setResultIdentifier(String resultIdentifier) {
		this.resultIdentifier = resultIdentifier;
	}

	public String getResultPrefix() {
		return resultPrefix;
	}

	public void setResultPrefix(String resultPrefix) {
		this.resultPrefix = resultPrefix;
	}

	public String getResultSuffix() {
		return resultSuffix;
	}

	public void setResultSuffix(String resultSuffix) {
		this.resultSuffix = resultSuffix;
	}

		
}
