package edu.ntnu.item.jt.system.configbeans;

import org.simpleframework.xml.*;

/**
 * Annotated bean used for containing information about the real time scan operation of an anti-virus engine.
 * 
 * Provided to work with the Simple XML loader for simplicity.
 * 
 * @author Jran Vagnby Lillesand
 *
 */
public class AVRealTimeScanBean {

	@Element(name="rtLogPath", required=false)
	private String logFilePath;
	
	@Element(name="rtResultIdentifier", required=false)
	private String resultIdentifier;
	
	public String getLogFilePath() {
		return logFilePath;
	}

	public void setLogFilePath(String logFilePath) {
		this.logFilePath = logFilePath;
	}

	public String getResultIdentifier() {
		return resultIdentifier;
	}

	public void setResultIdentifier(String resultIdentifier) {
		this.resultIdentifier = resultIdentifier;
	}
}
